@fontface {
  font-family: 'Figtree', sans-serif;
  src: url('https://fonts.googleapis.com/css2?family=Figtree')
}

/* ------------ */
/* -- SHARED -- */
/* ------------ */

* {
  font-family: 'Figtree', sans-serif;
  font-size: 12px;
  line-height: 18px;
  font-weight: 300;
  box-sizing: border-box;
  margin: 0;
  padding: 0;

  -ms-overflow-style: none;
  scrollbar-width: none;
}

*::-webkit-scrollbar {
  display: none;
}

:root {
  --breakpoint-xs: 0px;
  --breakpoint-sm: 576px;
  --breakpoint-md: 768px;
  --breakpoint-lg: 992px;
  --breakpoint-xl: 1200px;

  --background-primary: #FF10F0;
  --background-secondary: #FFD700;
  --background-dark: #151515;
  --background-darker: #222222;
  --background-light: #FFFFFF;
  --background-lighter: rgb(245 245 245 / 0.75);
  --background-transparent: transparent;

  --text-primary: #FF10F0;
  --text-secondary: #FFD700;
  --text-dark: #151515;
  --text-darker: #222222;
  --text-light: #FFFFFF;
  --text-lighter: #DDDDDD;
  --text-error: #D70000;
  --text-transparent: transparent;

  --border-primary: #FF10F0;
  --border-secondary: #FFD700;
  --border-dark: #151515;
  --border-darker: #222222;
  --border-light: #FFFFFF;
  --border-lighter: #CDCDCD;
  --border-transparent: transparent;

  scroll-behavior: smooth;
  font-size: 16px;
}

a {
  display: inline-block !important;
  text-decoration: none !important;
  color: var(--text-dark) !important;
}

@media only screen and (min-width: 992px) {
  .mobile-only {
    display: none !important;
  }
}

@media only screen and (max-width: 991px) {
  .desktop-only {
    display: none !important;
  }
}

.my-container {
  max-width: 1600px;
  padding: 0 2rem 2rem;
  padding-top: 115px; /* offset promobar and navbar position */
  width: 100%;
  overflow: hidden;
  margin: 0 auto;
  min-height: 100vh
}

.subscribe {
  text-align: center;
  margin: 0 auto 40px;
  padding: 0 1rem;
  max-width: calc(450px + 2rem);
  width: 100%;
}

.subscibe__heading {
  font-size: 16px;
  letter-spacing: 1.8;
  line-height: 19.2px;
  font-weight: 400;
  margin: 0 0 7.5px;
}

.subscibe__subheading {
  font-size: 12px;
  letter-spacing: 1.8;
  line-height: 14.4px;
  font-weight: 300;
  margin: 0 0 15px;
}

.subscribe__form {
  display: flex;
  align-items: center;
  min-height: 130px;
}

.subscribe__input {
  padding: 12px 5px !important;
  margin-right: 1rem;
}

.subscribe__input.disabled {
  background: var(--background-light);
  pointer-events: none;
}

.subscribe__button {
  min-width: 110px;
}

.subscribe__button.disabled {
  background: var(--background-light);
  color: var(--text-dark);
  pointer-events: none;
}

.error {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 80px auto;
}

.error__image {
  margin-bottom: 1rem;
  max-width: 400px;
  width: 100%;
}

.promobar {
  position: fixed;
  height: 30px;
  width: 100vw;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #f5f5f5;
  text-transform: uppercase;
  z-index: 10000;
}

.promobar p {
  font-size: 9px;
  line-height: 13.5px;
  letter-spacing: 0.8px;
  margin: 0;
}

.promobar a {
  font-size: 9px;
  line-height: 13.5px;
  letter-spacing: 0.8px;
  text-decoration: none;
  transition: all ease 200ms;
  border-bottom: 1px solid var(--border-lighter);
  color: var(--text-darker);
  margin: 0;
}

.promobar a:active,
.promobar a:hover {
  color: var(--text-darker);
  border-bottom: 1px solid rgb(0 0 0 / 0.3);
}

.navbar.desktop-only {
  max-width: 1600px;
  height: 85px; /* do not change */
  background: var(--background-light);
  width: 100vw;
  margin: 0 auto;
  padding-left: 2rem;
  padding-right: 2rem;
  position: fixed;
  top: 30px; /* height of promobar */
  left: 50%;
  transform: translateX(-50%);
  z-index: 10000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  text-align: left;
}

.navbar.desktop-only .navbar__logo {
  height: 30px;
}

.navbar.desktop-only .navbar-group {
  display: flex;
  flex: 0 0 33.33%;
  max-width: 33.33%;
  text-align: center;
  justify-content: center;
}

.navbar.desktop-only .navbar-group--right {
  text-align: right;
  justify-content: flex-end;

}

.navbar.desktop-only .navbar-group--right .nav-link-wrapper {
  margin-left: 20%;
}

.navbar.desktop-only .navbar-group--left {
  text-align: left;
  justify-content: flex-start;
}

.navbar.desktop-only .navbar-group--left .nav-link-wrapper {
  margin-right: 20%;
}

.navbar.desktop-only .nav-link {
  font-size: 14px;
  font-weight: 300;
  letter-spacing: 0.8px;
  text-transform: uppercase;
  padding: 4px 0;
  border-bottom: 1px solid rgb(255 255 255 / 0);
  transition: all ease 300ms;
}

.navbar.desktop-only .nav-link:hover {
  border-bottom: 1px solid var(--border-lighter);
}

.navbar.mobile-only {
  max-height: 50px; /* do not change */
  background: var(--background-light);
  width: 100vw;
  margin: 0 auto;
  position: fixed;
  top: 30px; /* height of promobar */
  z-index: 10000;
}

.navbar.mobile-only .navbar-collapse {
  background-color: #FFFFFF;
  padding: 8px 1rem;
  text-align: right;
}

.navbar.mobile-only .nav-link {
  text-transform: uppercase;
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 1.35px;
}

.navbar.mobile-only .navbar-toggler {
  border: none;
  padding-right: 1rem;
  outline: none;
}

.navbar.mobile-only .navbar-toggler:hover, 
.navbar.mobile-only .navbar-toggler:focus {
  box-shadow: none;
}

.navbar.mobile-only .navbar__logo {
  height: 14.5px;
  padding-left: 1rem;
}

.nav-link {
  position: relative;
}

.navbar-cart-count {
  position: absolute;
  text-align: center;
  transform: translate(100%, 10%);
  top: 0;
  right: 0;
  background: #D70000;
  color: var(--background-light);
  width: 16px;
  height: 16px;
  line-height: 16px;
  font-size: 12px;
  border-radius: 50%;
}

@media only screen and (max-width: 991px) {
  .navbar-cart-count {
    transform: translate(60%, 20%);
  }
}

.homepage-banner {
  display: flex;
  justify-content: center;
  align-content: center;
  background-color: var(--background-lighter);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top;
  position: relative;
  width: 100vw;
  height: calc(100vh - 115px);
  max-height: 900px;
  max-width: 1600px;
  margin-left: -2rem;
  margin-bottom: 60px;
  overflow: hidden;
}

.homepage-banner-header {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 3rem;
  max-width: 1600px;
  height: 100%;
  width: 100%;
  inset: 0;
  z-index: 1001;
}

.homepage-banner-header--left {
  justify-content: flex-end;
  align-items: flex-start;
}

.homepage-banner-header--right {
  justify-content: flex-end;
  align-items: flex-end;
}

.homepage-banner-heading {
  font-size: 1.5rem !important;
  margin-bottom: 1.25rem;
  color: var(--text-light);
}

.homepage-banner-subheading {
  background-color: transparent;
  color: var(--text-light);
  border: 1px solid var(--border-light);
  display: block;
  min-height: 40px;
  padding: 0.75rem 1rem;
  font-size: 1rem;
  font-weight: 300;
  text-transform: uppercase;
  transition: all ease 200ms;
}

.homepage-banner:before {
  content: ' ';
  position: absolute;
  background-image: linear-gradient(180deg, transparent, rgb(0 0 0 / 0.6));
  height: 100%;
  width: 100%;
  inset: 0;
  z-index: 1000;
}

@media only screen and (max-width: 991px) {
  .homepage-banner {
    height: calc(100vh - 74px);
    max-height: 667px;
    margin-left: -1rem;
  }

  .homepage-banner-header {
    padding: 2rem;
  }
}

.featured-products {
  display: flex;
  flex-wrap: wrap;
  margin: -0.5rem;
  margin-bottom: 52px;
}

.featured-product-cta {
  opacity: 0;
  background-color: transparent;
  color: var(--text-light);
  border: 1px solid var(--border-light);
  position: absolute;
  padding: 0.5rem 0.66rem;
  font-size: 0.66rem;
  font-weight: 300;
  text-transform: uppercase;
  transition: all ease 200ms;
  transform: translate(50%, -50%);
  top: 50%;
  right: 50%;
}

.featured-product-big .featured-product-cta {
  padding: 0.75rem 1rem;
  font-size: 1rem;
}

.featured-product-backdrop {
  opacity: 0;
  transition: all ease 200ms;
  background-color: rgb(0 0 0 / 0.5);
  position: absolute;
  height: 100%;
  width: 100%;
  inset: 0;
}

:is(.featured-product-big, .featured-product-small):hover 
:is(.featured-product-backdrop, .featured-product-cta) {
  opacity: 1;
}

.featured-products-left {
  display: flex;
  flex-wrap: wrap;
  flex: 0 0 40%;
  max-width: 40%;
  height: 100%;
}

.featured-product-big {
  background-color: var(--background-lighter);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top;
  position: relative;
  padding: 0 0 calc(100% - 1rem);
  width: calc(100% - 1rem);
  margin: 0.5rem;
}

@media only screen and (max-width: 991px) {
  .featured-products-left {
    flex: 0 0 100%;
    max-width: 100%;
  }
}

.featured-products-right {
  display: flex;
  flex-wrap: wrap;
  flex: 0 0 60%;
  max-width: 60%;
  height: 100%;
}

.featured-product-small {
  background-color: var(--background-lighter);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top;
  position: relative;
  padding: 0 0 calc(33.3% - 1rem);
  width: calc(33.3% - 1rem);
  margin: 0.5rem;
}

@media only screen and (max-width: 991px) {
  .featured-products-right {
    flex: 0 0 100%;
    max-width: 100%;
  }

  .featured-product-small {
    padding: 0 0 calc(50% - 1rem);
    width: calc(50% - 1rem);
  }
}

.footer {
  display: flex;
  justify-content: space-between;
  max-width: 1600px;
  padding: 40px 2rem 60px;
  width: 100%;
  overflow: hidden;
  margin: 0 auto;
}

@media only screen and (max-width: 991px) {
  .my-container {
    padding: 0 1rem 2rem;
    padding-top: 80px; /* offset promobar and navbar position */
  }

  .footer {
    justify-content: center;
    padding: 40px 1rem;
  }

  .footer__left {
    display: none;
  }
}

.footer__right {
  display: flex;
}

.footer__logo {
  height: 34px;
  width: auto;
}

.footer__block {
  text-align: left;
  min-width: 230px;
}

.footer__heading {
  margin-bottom: 1rem;
  font-size: 13px;
  line-height: 14.4px;
  letter-spacing: 1.8px;
  font-weight: 500;
}

@media only screen and (max-width: 991px) {
  .footer__block--socials {
    display: none;
  }
  
  .footer__heading {
    display: none;
  }
}

.footer__list {
  list-style-type: none;
  padding: 0;
}

.footer__list li {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 0.5rem;
}

@media only screen and (max-width: 991px) {
  .footer__list li {
    justify-content: center;
  }
}

.footer__list a {
  display: flex !important;
  flex-direction: row;
  align-items: center;
}

.footer__list svg {
  display: inline-block;
  margin-right: 0.5rem;
  width: 1rem;
}

.footer__list p {
  display: inline-block;
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 1.8px;
  margin: 0;
}

.fade.modal-backdrop {
  z-index: 99999;
}

.fade.modal {
  z-index: 999999;
}

.thumbnail-preview-container {
  display: flex;
  flex-wrap: wrap;
  margin: 0 -1% -1.5%;
  text-align: center;
}

.thumbnail-preview {
  width: 23%;
  height: 100px;
  margin: 0 1% 1.5%;
  overflow: hidden;
  border: 1px solid var(--border-lighter)
}

.thumbnail-preview img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* ------------------------ */
/* -- SHARED: TYPOGRAPHY -- */
/* ------------------------ */

.s-heading {
  font-size: 18px;
  line-height: 21.6px;
  font-weight: 500;
  letter-spacing: 1.8px;
  text-transform: uppercase;
}

.s-heading-info {
  font-size: 12px;
  line-height: 16px;
  font-weight: 300;
}

.s-subheading {
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: 700;
}

.s-paragraph {
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: 400;
}

.s-legend {
  font-size: 0.875rem;
  line-height: 1.25;
  font-weight: 400;
}

.s-fine-print {
  font-size: 10px;
  line-height: 20px;
  letter-spacing: 1.8px;
  margin: 0;
}

.s-link {
  border-bottom: 1px solid var(--border-lighter);
}

.s-link:hover {
  border-bottom: 1px solid rgb(0 0 0 / 0.5);
}

/* -------------------- */
/* -- SHARED: BUTTON -- */
/* -------------------- */

.s-button {
  background-color: var(--background-dark);
  color: var(--text-light);
  border: 1px solid var(--border-dark);
  display: block;
  min-height: 40px;
  padding: 10px 15px;
  font-size: 12px;
  font-weight: 300;
  text-transform: uppercase;
  transition: all ease 200ms;
}

.s-button:hover {
  background-color: var(--background-light);
  color: var(--text-dark);
}

.s-button--secondary {
  background-color: var(--background-light);
  color: var(--text-dark);
}

.s-button--secondary:hover {
  background-color: var(--background-dark);
  color: var(--text-light);
}

.s-button--display {
  pointer-events: none;
  cursor: not-allowed;
  background-color: var(--background-light);
  color: var(--text-darker);
  border: 1px solid var(--border-darker);
}

.s-button--disabled {
  pointer-events: none;
  cursor: not-allowed;
  background-color: var(--background-darker);
  color: var(--text-lighter);
  border: 1px solid var(--border-darker);
  opacity: 0.9;
}

/* ------------------- */
/* -- SHARED: INPUT -- */
/* ------------------- */

.s-form {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 0rem 0rem 1rem;
  border: none;
  padding: 0;
}

.s-form-error {
  text-align: left;
  text-transform: uppercase;
  margin-bottom: 16px;
  font-weight: 700;
  opacity: 1;
  transition: all ease 200ms;
  background: var(--background-lighter);

}

.s-form-error--secondary {
  font-weight: 400;
  color: var(--text-light);
  background: var(--background-dark);
  padding: 12px 16px;
}

.s-form-error.invisible {
  opacity: 0;
}

.s-form-error.hidden {
  display: none;
}

.s-input {
  width: 100%;
  margin: 0rem;
  margin-bottom: 1rem;
}

.s-input label {
  display: inline-block;
  width: 100%;
  text-transform: uppercase;
  text-align: left;
  margin-bottom: 8px;
}

.s-input input {
  outline: none;
  border: none;
  border-bottom: thin solid var(--border-lighter);
  color: inherit;
  padding: 5px 3px;
  min-width: 0;
  text-align: left;
  transition: border-color 0.2s ease;
  width: 100%;
  line-height: 1rem;
}

.s-input input:focus {
  border-bottom: thin solid var(--border-dark);
}

.s-input-error {
  background: var(--background-lighter);
  text-align: left;
  text-transform: uppercase;
  font-weight: 700;
  margin-top: 4px;
}

.s-input-error.hidden {
  display: none;
}

/* -------------- */
/* -- REGISTER -- */
/* -------------- */

.register-form {
  text-align: center;
  max-width: 460px;
  width: 100%;
  margin: 80px auto 40px;
}

.register-form .s-heading {
  margin-bottom: 45px;
}

.register-form .s-fine-print {
  margin-top: 22.5px;
}

.register-form .s-button {
  max-width: 370px;
  width: 100%;
  margin: 12px auto 40px auto;
}

@media only screen and (max-width: 991px) {
  .register-form .s-button {
    max-width: none;
    width: 100%;
  }
}

/* ----------- */
/* -- LOGIN -- */
/* ----------- */

.login-form {
  text-align: center;
  max-width: 460px;
  width: 100%;
  margin: 80px auto;
}

.login-form .s-heading {
  margin-bottom: 45px;
}

.login-form .s-button {
  max-width: 370px;
  width: 100%;
  margin: 40px auto;
}

.login-new {
  background: var(--background-dark);
  color: var(--text-light);
  padding: 12px 16px;
  margin-bottom: 24px;
  text-align: left;
}

/* ------------- */
/* -- ACCOUNT -- */
/* ------------- */

.account-redirect {
  display: flex;
  justify-content: space-between;
}

.account-redirect > * {
  color: var(--text-dark);
  text-transform: uppercase;
  letter-spacing: 2px;
  padding-bottom: 5px;
  border-bottom: 1px solid #000;
  transition: all ease 200ms;
}

@media only screen and (max-width: 991px) {
  .account-redirect {
    flex-direction: column;
  }

  .account-redirect > * {
    margin: 0 auto;
  }
  
  .account-redirect > *:not(:last-child) {
    margin-bottom: 30px;
  }
}

.account-redirect > *:visited,
.account-redirect > *:hover,
.account-redirect > *:active {
  color: var(--text-dark);
  border-bottom-color: transparent;
}

/* ----------- */
/* -- USERS -- */
/* ----------- */

.users {
  margin: 40px auto;
}

.users__heading {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1rem;
}

.users__title {
  margin: 0;
}

@media only screen and (max-width: 991px) {
  .users__heading {
    flex-direction: column;
  }

  .users__title {
    margin-bottom: 0.75rem;
  }
}

.users__actions {
  display: flex;
}

.users__actions > *:not(:last-child){
  margin-right: 0.5rem;
}

.users__action-buttons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 0 -0.25rem -0.25rem;
}

.users__action-button {
  min-width: 150px;
  margin: 0 0.25rem 0.25rem;
}

/* --------------- */
/* -- INVENTORY -- */
/* --------------- */

.inventory {
  margin: 40px auto;
}

.inventory__heading {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1rem;
}

.inventory__title {
  margin: 0;
}

@media only screen and (max-width: 991px) {
  .inventory__heading {
    flex-direction: column;
  }

  .inventory__title {
    margin-bottom: 0.75rem;
  }
}

.inventory__actions {
  display: flex;
}

.inventory__actions > *:not(:last-child){
  margin-right: 0.5rem;
}

/* -------------- */
/* -- PRODUCTS -- */
/* -------------- */

.products {
  display: flex;
  margin: 40px auto;
}

.products-navigation {
  flex: 0 0 16.62%;
  max-width: 16.62%;
  margin-bottom: 20px;
}

.products-heading {
  font-size: 24px;
  line-height: 28.8px;
  margin-bottom: 28px;
}

.products-categories {
  display: flex;
  flex-direction: column;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.products-category {
  flex: 0 0 100%;
  max-width: 100%;
  margin: 0 0 15px;
  padding: 0;
}

@media only screen and (max-width: 991px) {
  .products-categories {
    flex-direction: row;
    justify-content: space-between;
  }
  
  .products-category {
    flex: 0 0 23%;
    max-width: 23%;
  }
}

.products-category > a {
  display: block;
  width: 100%;
  font-size: 12px;
  line-height: 20px;
  font-weight: 300px;
  letter-spacing: 0.8px;
  text-transform: uppercase;
  padding: 5px 0;
  color: var(--text-dark);
  border-bottom: 1px solid var(--border-lighter);
}

.products-category > a:hover {
  color: var(--text-dark);
  border-bottom: 1px solid var(--border-darker);
}

.products-grid {
  display: flex;
  flex-wrap: wrap;
  margin: 0 1.66% -60px;

  flex: 0 0 83.32%;
  max-width: 83.32%;
}

.products-grid-empty {
  width: 100%;
  text-align: center;
}

.products-grid-empty__heading {
  font-size: 14px;
  line-height: 22.5px;
  font-weight: 400px;
  letter-spacing: 0.8px;
  text-transform: uppercase;
  margin: 0 0 8px;
}

.products-grid-empty__subheading {
  font-size: 12px;
  line-height: 20px;
  font-weight: 300px;
  letter-spacing: 0.8px;
  margin: 0;
}

.products-grid-empty__subheading a {
  color: var(--text-dark);
  border-bottom: 1px solid var(--border-lighter);
}

.products-grid-empty__subheading a:hover {
  color: var(--text-dark);
  border-bottom: 1px solid var(--border-darker);
}

.product-item {
  flex: 0 0 30%;
  max-width: 30%;
  margin: 0 1.66% 60px;
}

@media only screen and (max-width: 991px) {
  .products {
    flex-direction: column;
  }
  
  .products-navigation {
    flex: 0 0 100%;
    max-width: 100%;
  }
  
  .products-grid {
    margin: 0 -2.5% -30px;

    flex: 0 0 105%;
    max-width: 105%;
  }

  .product-item {
    flex: 0 0 45%;
    max-width: 45%;
    margin: 0 2.5% 30px;
  }
}

.product-item-link {
  text-decoration: none;
  width: 100%;
}

.product-gallery-image {
  height: 100%;
  width: 100%;
  object-fit: cover;
  position:  absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

.product-item-image-wrapper {
  background: var(--background-lighter);
  display: block;
  position: relative;
  width: 100%;
  padding-top: 165%;
  height: auto;
  overflow: hidden;
}

.product-item-image {
  height: 100%;
  width: 100%;
  object-fit: cover;
  position:  absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

.product-item-image--hover {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: all ease 200ms;
}

.product-item-image-wrapper:hover .product-item-image--hover {
  opacity: 1;
}

@media only screen and (max-width: 991px) {
  .product-item-image-wrapper:hover .product-item-image--hover {
    opacity: 0;
  }
}

.product-item-info {
  padding: 20px 0px 10px;
}

.product-item-title {
  font-size: 11px;
  line-height: 20px;
  text-transform: uppercase;
  letter-spacing: 0.73px;
  margin: 0;
}

.product-item-price {
  font-size: 12px;
  line-height: 18px;
  text-transform: uppercase;
  letter-spacing: 0.8px;
  margin: 0;
}

.product-item-category {
  font-size: 8px;
  line-height: 12px;
  text-transform: uppercase;
  letter-spacing: 0.53px;
  margin: 4px 0 0;
}

.product-item-rating {
  margin-left: -2px;
  margin-top: 12px;
}

/* ------------- */
/* -- PRODUCT -- */
/* ------------- */

.product {
  display: flex;
  flex-wrap: wrap;
  margin: 40px auto;
}

.product-gallery {
  flex: 0 0 65%;
  max-width: 65%;
}

.product-info {
  flex: 0 0 35%;
  max-width: 35%;
  padding-left: 1rem
}

@media only screen and (max-width: 991px) {
  .product-gallery {
    flex: 0 0 100%;
    max-width: 100%;
  }
  
  .product-info {
    flex: 0 0 100%;
    max-width: 100%;
    padding-left: 0;
  }
}

.product-gallery-desktop {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  margin: -0.5%;
}

.product-gallery-mobile {
  display: flex;
  flex-wrap: nowrap;
  margin-bottom: 2rem;
}

.product-gallery-image-wrapper {
  background: var(--background-lighter);
  position: relative;
  flex: 0 0 49%;
  max-width: 49%;
  margin: 0.5%;
  padding-top: 82.5%;
  height: auto;
  overflow: hidden;
}

.product-gallery-image {
  height: 100%;
  width: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

.product-info-name {
  font-size: 14px;
  line-height: 16.8px;
  letter-spacing: 1.8px;
  font-weight: 400;
  text-transform: uppercase;
  margin: 0 0 7.5px;
}

.product-info-category {
  font-size: 9px;
  line-height: 11px;
  letter-spacing: 1.8px;
  font-weight: 300;
  text-transform: uppercase;
  margin: 0 0 15px;
}

.product-info-rating {
  margin: 0 0 22.5px -2px;
}

.product-info-feedback {
  border: 1px solid var(--border-lighter);
  text-align: center;
  margin-top: 60px;
  padding: 1rem 1rem 1.5rem;
}

.product-info-feedback__title {
  font-size: 1rem;
  margin: 0.5rem;
}

.product-info-price {
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 0.8px;
  font-weight: 400;
  text-transform: uppercase;
  margin: 0 0 15px;
}

.product-info-description {
  font-size: 12px;
  line-height: 20px;
  letter-spacing: 0.8px;
  font-weight: 300;
  margin-bottom: 20px;
}

.product-info-cart-input {
  display: flex;
  margin-bottom: 5px;
}

.product-info-cart-input-field {
  max-width: 100px;
  margin-right: 0.5rem;
  border: 1px solid var(--border-lighter) !important;
  padding-left: 0.75rem !important;
  padding-right: 0.75rem !important;
}

.product-info-cart-add {
  min-width: 112px;
}

.product-info-cart-add.done {
  background: var(--background-light);
  color: var(--text-dark);
}

/* ---------- */
/* -- CART -- */
/* ---------- */

.cart {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  margin: 0 auto;
  padding: 40px 0;
}

.cart-order {
  flex: 0 0 55%;
  max-width: 55%;
}

.cart-summary {
  flex: 0 0 40%;
  max-width: 40%;
}

.cart-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

.cart-heading {
  font-weight: 300 !important;
}

.cart-item-list {
  display: flex;
  flex-direction: column;
  flex: 0 0 100%;
  max-width: 100%;
}

.cart-item {
  display: flex;
  flex-direction: row;
  width: 100%;
  margin-bottom: 30px;
  padding: 0 0 30px;
}

.cart-item:not(:last-child) {
  border-bottom: 1px solid var(--border-lighter);
}

.cart-item-image-wrapper {
  background: var(--background-lighter);
  position: relative;
  max-width: 30%;
  flex: 0 0 30%;
  padding-top: 50%;
}

.cart-item-image {
  object-fit: cover;
  position: absolute;
  width: 100%;
  inset: 0
}

.cart-item-info {
  display: flex;
  flex-flow: column;
  justify-content: center;
  max-width: 70%;
  flex: 0 0 70%;
  padding-left: 28px;
}

@media only screen and (max-width: 800px) {
  .cart-order,
  .cart-summary {
      flex: 0 0 100%;
      max-width: 100%;
  }

  .cart-item {
      border-bottom: 1px solid var(--border-lighter);
  }

  .cart-item:not(:last-child) {
      margin-bottom: 30px;
      padding: 0 0 15px;
  }
  
  .cart-item-info {
    padding-left: 14px;
  }
}


.cart-item-name {
  font-size: 12px;
  font-weight: 300;
  line-height: 20px;
  text-transform: uppercase;
  letter-spacing: 0.8px;
  margin-bottom: 5px;
}

.cart-item-description {
  font-size: 10px;
  font-weight: 300;
  line-height: 20px;
  letter-spacing: 0.8px;
  margin-bottom: 10px;
  font-style: italic;
}

.cart-item-price {
  font-size: 10px;
  font-weight: 400;
  line-height: 20px;
  text-transform: uppercase;
  letter-spacing: 0.67px;
  margin-bottom: 38px;
}

.cart-item-input {
  display: flex;
  margin-bottom: 5px;
}

.cart-item-input-field {
  max-width: 100px;
  margin-right: 0.5rem;
  border: 1px solid var(--border-lighter) !important;
  padding-left: 0.75rem !important;
  padding-right: 0.75rem !important;
}

.cart-item-input-button {
  min-width: 87px;
}

.cart-item-input-button.done {
  background: var(--background-light);
  color: var(--text-dark);
}

.cart-item-remove-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  margin-top: 4px;
}

.cart-item-remove-message {
  font-size: 8px;
  font-weight: 300;
  line-height: 20px;
  text-transform: uppercase;
  letter-spacing: 1.44px;
  margin-right: 1rem;
}

.cart-item-remove {
  width: fit-content;
  font-size: 8px;
  font-weight: 300;
  line-height: 20px;
  text-transform: uppercase;
  letter-spacing: 1.44px;
  transition: all ease 200ms;
  border-bottom: 1px solid var(--border-lighter);
  margin-left: auto;
  cursor: pointer;
}

.cart-item-remove:hover {
  border-bottom: 1px solid rgb(0 0 0 / 0.5);
}

.cart-table {
  border: 1px solid var(--border-lighter);
  padding-top: 1rem;
  margin-bottom: 2rem;
}

.cart-payment input[disabled] {
  color: rgb(0 0 0 / 0.5);
  background-color: transparent;
}

.cart-subtotal,
.cart-shipping,
.cart-total {
  display: flex;
  justify-content: space-between;
  text-transform: uppercase;
  font-size: 12px;
  font-weight: 300;
  line-height: 20px;
  letter-spacing: 0.8px;
  padding: 0 1rem;
  margin-bottom: 1rem;
}

.cart-subtotal *,
.cart-shipping *,
.cart-total * {
  margin: 0;
}

.cart-shipping {
  border-bottom: 1px solid var(--border-lighter);
  padding-bottom: 1rem;
}

.cart-total * {
  font-weight: 500 !important;
}

.cart-cta {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  flex-wrap: wrap;
  margin-top: 1.5rem;
}

.cart-submit {
  display: block;
  flex: 0 0 100%;
  max-width: 100%;
  margin-bottom: 1rem;
}

.cart-return {
  font-size: 10px;
  font-weight: 300;
  line-height: 22.5px;
  text-transform: uppercase;
  letter-spacing: 1.44px;
  border-bottom: 1px solid var(--border-lighter);
  transition: all ease 200ms;
  color: var(--text-dark);
  margin: 0 auto;
}

.cart-return:hover {
  border-bottom: 1px solid rgb(0 0 0 / 0.5);
  color: var(--text-dark);
}

.cart-item-list-empty__heading {
  font-size: 14px;
  line-height: 22.5px;
  font-weight: 400px;
  letter-spacing: 0.8px;
  text-transform: uppercase;
  text-align: center;
  margin: 0 0 8px;
}

.cart-item-list-empty__subheading {
  font-size: 12px;
  line-height: 20px;
  font-weight: 300px;
  letter-spacing: 0.8px;
  text-align: center;
  margin-bottom: 60px;
}

.cart-item-list-empty__subheading a {
  color: var(--text-dark);
  border-bottom: 1px solid var(--border-lighter);
}

.cart-item-list-empty__subheading a:hover {
  color: var(--text-dark);
  border-bottom: 1px solid var(--border-darker);
}

/* --------------------- */
/* -- ACCOUNT DETAILS -- */
/* --------------------- */

.account {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  margin: 0 auto;
  padding: 40px 0;
}

.account-details {
  flex: 0 0 30%;
  max-width: 30%;
}

.account-details-content {
  margin-bottom: 60px;
}

.account-orders {
  flex: 0 0 70%;
  max-width: 70%;
  padding-left: 60px;
}

@media only screen and (max-width: 1000px) {
  .account-details,
  .account-orders {
      flex: 0 0 100%;
      max-width: 100%;
      padding: 0;
  }
}

.account-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

.account-heading {
  font-weight: 300 !important;
}

.account-details-wrapper input[disabled] {
  background-color: transparent;
  border: 1px solid var(--border-lighter);
  padding: 12px 16px;
}

.account-orders-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.account-order {
  flex: 0 0 100%;
  max-width: 100%;
  border: 1px solid var(--border-lighter);
  padding: 1rem;
}

.account-order:not(:last-child) {
  margin-bottom: 60px;
}

.account-order-header {
  border-bottom: 1px solid var(--border-lighter);
  padding: 0 1rem;
  margin: 0 -1rem;
}

.account-order-heading {
  font-size: 14px;
}

.account-order-info {
  padding: 1rem 0;
}

.account-order-item-info-group {
  display: flex;
  justify-content: space-between;
}

.account-order-item-payment {
  flex: 0 0 30%;
  max-width: 30%;
  margin-right: 2rem;
}

.account-order-info .s-input input[disabled] {
  background-color: transparent;
  border: none;
}

.account-order-list {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.account-order-item {
  display: flex;
  align-items: center;
  flex: 0 0 48%;
  max-width: 48%;
  margin-bottom: 1.5rem;
}

@media only screen and (max-width: 767px) {
  .account-order-item {
    flex: 0 0 100%;
    max-width: 100%;
  }
}

.account-order-item-image-wrapper {
  background: var(--background-lighter);
  position: relative;
  max-width: 30%;
  flex: 0 0 30%;
  padding-top: 50%;
  margin-right: 1rem;
}

.account-order-item-image {
  object-fit: cover;
  position: absolute;
  height: 100%;
  inset: 0
}

.account-order-item-info {
  display: flex;
  flex-direction: column;
}

.account-order-item-header {
  display: flex;
  justify-content: space-between;
  flex: 0 0 100%;
  max-width: 100%;
}

.account-order-item-total {
  flex: 0 0 48%;
  max-width: 48%;
  margin-bottom: 1.5rem;
  font-weight: 500;
}

.account-order-item-total-price {
  flex: 0 0 48%;
  max-width: 48%;
  margin-bottom: 1.5rem;
  font-weight: 500;
}

.account-order-item-total-price {
  width: 100%;
  margin-bottom: 1.5rem;
}

.account-order-item-name {
  font-size: 12px;
  font-weight: 300;
  line-height: 20px;
  text-transform: uppercase;
  letter-spacing: 0.8px;
  margin-bottom: 10px;
}

.account-order-item-price {
  font-size: 10px;
  font-weight: 400;
  line-height: 20px;
  text-transform: uppercase;
  letter-spacing: 0.67px;
}

.account-order-list-empty {
  flex: 0 0 100%;
  max-width: 100%;
}

.account-order-list-empty__heading {
  font-size: 14px;
  line-height: 22.5px;
  font-weight: 400px;
  letter-spacing: 0.8px;
  text-transform: uppercase;
  text-align: center;
  margin: 0 0 8px;
}

.account-order-list-empty__subheading {
  font-size: 12px;
  line-height: 20px;
  font-weight: 300px;
  letter-spacing: 0.8px;
  text-align: center;
  margin-bottom: 60px;
}

.account-order-list-empty__subheading a {
  color: var(--text-dark);
  border-bottom: 1px solid var(--border-lighter);
}

.account-order-list-empty__subheading a:hover {
  color: var(--text-dark);
  border-bottom: 1px solid var(--border-darker);
}

/* ---------------- */
/* -- HIGHLIGHTS -- */
/* ---------------- */

.highlights-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: 0;

  flex: 0 0 100%;
  max-width: 100%;
}

.highlights-grid .product-item {
  flex: 0 0 14%;
  max-width: 14%;
  margin: 0 0 60px;
}

@media only screen and (max-width: 991px) {
  .highlights-grid .product-item {
    flex: 0 0 30%;
    max-width: 30%;
  }
}
